<?php
/**
* Additional Woocommerce Settings.
*
* @package Wind Energy
*/

$wind_energy_default = wind_energy_get_default_theme_options();

// Additional Woocommerce Section.
$wp_customize->add_section( 'wind_energy_additional_woocommerce_options',
	array(
	'title'      => esc_html__( 'Additional Woocommerce Options', 'wind-energy' ),
	'priority'   => 210,
	'capability' => 'edit_theme_options',
	'panel'      => 'wind_energy_theme_option_panel',
	)
);

	$wp_customize->add_setting('wind_energy_per_columns',
		array(
		'default'           => $wind_energy_default['wind_energy_per_columns'],
		'capability'        => 'edit_theme_options',
		'sanitize_callback' => 'wind_energy_sanitize_number_range',
		)
	);
	$wp_customize->add_control('wind_energy_per_columns',
		array(
		'label'       => esc_html__('Products Per Column', 'wind-energy'),
		'section'     => 'wind_energy_additional_woocommerce_options',
		'type'        => 'number',
		'input_attrs' => array(
		'min'   => 1,
		'max'   => 6,
		'step'   => 1,
		),
		)
	);

	$wp_customize->add_setting('wind_energy_product_per_page',
		array(
		'default'           => $wind_energy_default['wind_energy_product_per_page'],
		'capability'        => 'edit_theme_options',
		'sanitize_callback' => 'wind_energy_sanitize_number_range',
		)
	);
	$wp_customize->add_control('wind_energy_product_per_page',
		array(
		'label'       => esc_html__('Products Per Page', 'wind-energy'),
		'section'     => 'wind_energy_additional_woocommerce_options',
		'type'        => 'number',
		'input_attrs' => array(
		'min'   => 1,
		'max'   => 100,
		'step'   => 1,
		),
		)
	);

	$wp_customize->add_setting('wind_energy_show_hide_related_product',
    array(
        'default' => $wind_energy_default['wind_energy_show_hide_related_product'],
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'wind_energy_sanitize_checkbox',
    )
	);
	$wp_customize->add_control('wind_energy_show_hide_related_product',
	    array(
	        'label' => esc_html__('Enable Related Products', 'wind-energy'),
	        'section' => 'wind_energy_additional_woocommerce_options',
	        'type' => 'checkbox',
	    )
	);

	$wp_customize->add_setting('wind_energy_custom_related_products_number',
		array(
		'default'           => $wind_energy_default['wind_energy_custom_related_products_number'],
		'capability'        => 'edit_theme_options',
		'sanitize_callback' => 'wind_energy_sanitize_number_range',
		)
	);
	$wp_customize->add_control('wind_energy_custom_related_products_number',
		array(
		'label'       => esc_html__('Related Products Per Page', 'wind-energy'),
		'section'     => 'wind_energy_additional_woocommerce_options',
		'type'        => 'number',
		'input_attrs' => array(
		'min'   => 1,
		'max'   => 10,
		'step'   => 1,
		),
		)
	);

	$wp_customize->add_setting('wind_energy_custom_related_products_number_per_row',
		array(
		'default'           => $wind_energy_default['wind_energy_custom_related_products_number_per_row'],
		'capability'        => 'edit_theme_options',
		'sanitize_callback' => 'wind_energy_sanitize_number_range',
		)
	);
	$wp_customize->add_control('wind_energy_custom_related_products_number_per_row',
		array(
		'label'       => esc_html__('Related Products Per Row', 'wind-energy'),
		'section'     => 'wind_energy_additional_woocommerce_options',
		'type'        => 'number',
		'input_attrs' => array(
		'min'   => 1,
		'max'   => 5,
		'step'   => 1,
		),
		)
	);